== Why is this an issue?

Inner classes should be short and sweet, to manage complexity in the overall file. An inner class that has grown longer than a certain threshold should probably be externalized to its own file.


ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

=== Message

Reduce this class from x to the maximum allowed n or externalize it in a public class.


=== Parameters

.max
****

----
25
----

The maximum number of lines of code allowed
****


'''
== Comments And Links
(visible only on this page)

=== relates to: S2042

=== on 27 May 2015, 08:46:12 Freddy Mallet wrote:
The same way RSPEC-2042 is not activated by default, this one should also not be activated.

=== on 27 May 2015, 19:14:35 Ann Campbell wrote:
Done [~freddy.mallet]



=== on 1 Jun 2015, 13:05:38 Nicolas Peru wrote:
Sounds ok.

endif::env-github,rspecator-view[]
